# jsutils api
js工具类
## License
请查看 [MIT license](./LICENSE).

### 数组
** 根据具体值，从数组中移除元素
```
import {ArrayUtil} from "jsutils/index"
//字符串
testArray(){
    let arr=["a","b","c"];
    ArrayUtil.remove(arr,"b");
    console.log(arr.join(","));//a,c
}
//对象
testArray(){
    let objArr=[{"id":"1","name":"赵云"},{"id":"2","name":"诸葛亮"}];
    ArrayUtil.remove(objArr,{"id":"2"},"id");
    console.log(JSON.stringify(objArr));//[{"id":"1","name":"赵云"}]
}
```
### 加密
** md5
```
import {JsUtilApi} from "jsutils/index"

JsUtilApi.md5("admin123456")
```

### Base64


### TimeUtil
```
function testTime(){
    console.log("格式化时间（默认的格式化类型）：",TimeUtil.format(new Date));
    console.log("格式化时间（根据传入的参数格式）：",TimeUtil.format(new Date,"yyyy-MM-dd hh时"));
    console.log("格式化时间（API提供的类型）：",TimeUtil.format(new Date,TimeUtil.FORMAT_YMD));
    console.log("当天开始、结束时间",TimeUtil.getDayTime());
    console.log("根据传入的数字，正数则往后推，负数则往前推，例如获取昨天时间：",TimeUtil.getDayTime(-1));
    console.log("本周开始、结束时间",TimeUtil.getWeekTime());
    console.log("上周开始、结束时间",TimeUtil.getWeekTime(-1));
    console.log("本月开始、结束时间",TimeUtil.getMonthTime());
    console.log("上月开始、结束时间",TimeUtil.getMonthTime(-1));
    console.log("本季度开始结束时间",TimeUtil.getSeasonTime());
    console.log("本年开始结束时间",TimeUtil.getYearTime());
}
```
打印结果：
```
格式化时间（默认的格式化类型）： 2018-09-23 17:18:19
格式化时间（根据传入的参数格式）： 2018-09-23 17时
格式化时间（API提供的类型）： 2018-09-23
当天开始、结束时间 { start: '2018-08-31 00:00:00', end: '2018-08-31 24:59:59' }
根据传入的数字，正数则往后推，负数则往前推，例如获取昨天时间： { start: '2018-08-30 00:00:00', end: '2018-08-30 24:59:59' }
本周开始、结束时间 { start: '2018-09-17 00:00:00', end: '2018-09-23 24:59:59' }
上周开始、结束时间 { start: '2018-09-10 00:00:00', end: '2018-09-16 24:59:59' }
本月开始、结束时间 { start: '2018-09-01 00:00:00', end: '2018-09-30 24:59:59' }
上月开始、结束时间 { start: '2018-08-01 00:00:00', end: '2018-08-31 24:59:59' }
本季度开始结束时间 { start: '2018-07-01 00:00:00', end: '2018-09-30 24:59:59' }
本年开始结束时间 { start: '2018-01-01 00:00:00', end: '2018-12-31 24:59:59' }
```

